@import "../../../../core/variables";

.layout {
  position: relative;
  min-height: 100%;

  font-size: $font-size-sm;

  display: flex;
  flex-direction: column;
}

.lightLayout {
  color: $color-black;
  background: $color-gray-300;
}

.darkLayout {
  color: $color-white;
  background: $color-black;
}

.header {
  padding: 0 $section-padding;
  background: $color-white;

  flex-shrink: 0;
  width: 100%;

  + .contentWrapper .contentScroll {
    padding-top: $indent-xxl * 2;
  }
}

.isHeaderShadowed .header {
  box-shadow: 0 5px 10px rgba(90, 97, 105, 0.1);
}

.headerContent {
  max-width: $container-width;
  margin: 0 auto;
}

.contentWrapper {
  position: relative;

  width: 100%;
  flex-grow: 1;

}

.content {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;

  display: flex;
}

.contentScroll {
  overflow-y: auto;
  height: 100%;
  width: 100%;

  > * {
    min-height: 100%;
  }
}